# Certificates

Defaults applied when a learner earns a certificate from the gradebook.

Access these settings under **Administration > Configuration settings > Certificates**. This category contains **9 settings**, listed below with the title and comment shipped in the platform's settings fixtures (`SettingsCurrentFixtures.php`).

> The variable name in code is shown in monospace. Use it when scripting via the API or when you need to change those settings at a global level by editing [`config/settings_override.yaml`](https://github.com/chamilo/chamilo-lms/wiki/Configurations#configsettings_overridesyaml).

## Settings

### `add_certificate_pdf_footer`

**Add footer to PDF certificate exports**

When enabled, a footer is added to PDF exports of certificates.

*Default: `false`*

### `allow_general_certificate`

**Enable general certificate**

A general certificate is a certificate grouping all the accomplishments by the user in the courses (s)he followed.

*Default: `false`*

### `allow_public_certificates`

**Allow public certificates**

User certificates can be view by unregistered users.

*Default: `false`*

### `certificate_filter_by_official_code`

**Certificates filter by official code**

Add a filter on the students official code to the certificates list.

*Default: `false`*

### `certificate_pdf_orientation`

**PDF orientation for certificates**

Set ‘portrait’ or ‘landscape’ (technical terms) for PDF certificates.

*Default: `landscape`*

### `hide_certificate_export_link`

**Certificates: hide PDF export link for all**

Enable to completely remove the possibility to export certificates to PDF (for all users). If enabled, this includes hiding it from students.

*Default: `false`*

### `hide_certificate_export_link_students`

**Certificates: hide export link from students**

If enabled, students won’t be able to export their certificates to PDF. This option is available because, depending on the precise HTML structure of the certificate template, the PDF export might be of low quality. In this case, it is best to only show the HTML certificate to students.

*Default: `false`*

### `hide_my_certificate_link`

**Hide ‘my certificate’ link**

Hide the certificates page for non-admin users.

*Default: `false`*

### `session_admin_can_download_all_certificates`

**Allow session admins to download private certificates**

If enabled, session administrators can download certificates even if they are not publicly published.

*Default: `false`*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chamilo.org/administration-guide/admin-guide/platform-settings/certificate-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
